## navit 0.5.0~svn4494+dfsg.1

=== CMakeLists.txt ===
project(navit)

cmake_minimum_required(VERSION 2.6)
cmake_policy(VERSION 2.6)

set(PACKAGE_VERSION "0.5.0")
set(PACKAGE_NAME "navit-svn")
set(PACKAGE "navit")
set(PACKAGE_STRING "${PACKAGE} ${PACKAGE_VERSION}")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
include("${PROJECT_SOURCE_DIR}/cmake/navit_macros.cmake")

IF(NOT CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# install path
set(BIN_DIR bin)
set(SHARE_DIR share/navit)
set(LOCALE_DIR share)
set(IMAGE_DIR share/navit/xpm)
set(LIB_DIR lib)

foreach(EXTRA_MODULE ${EXTRA_MODULES}) 
   add_module(${EXTRA_MODULE} "extra module specified" TRUE)
endforeach()

if (EXTRA_LIBS)
	list(APPEND NAVIT_LIBS ${EXTRA_LIBS})
endif(EXTRA_LIBS)

### Detect environment

add_plugin(support/ezxml "native Glib found" FALSE)
add_plugin(support/glib "native Glib found" FALSE)
add_plugin(support/zlib "native zlib found" FALSE)
add_plugin(support/libpng "native libpng found" FALSE)
add_plugin(support/wordexp "native wordexp found" FALSE)
add_module(font/freetype "freetype not found" FALSE)
add_module(graphics/android "FreeType library not found" FALSE)
add_module(graphics/gd "FreeType library not found" FALSE)
add_module(graphics/gtk_drawing_area "FreeType library not found" FALSE)
add_module(graphics/opengl "FreeType library not found" FALSE)
add_module(graphics/sdl "FreeType library not found" FALSE)
add_module(graphics/qt_qpainter "Qt libraries not found" FALSE)
add_module(gui/qml "Qt Declarative not found" FALSE)
add_module(gui/gtk "GTK libs not found" FALSE)
add_module(vehicle/gpsd "gpsd lib not found" FALSE)
add_module(vehicle/gypsy "gypsy lib not found" FALSE)
add_module(vehicle/maemo "Default" FALSE)
add_module(binding/dbus "dbus-glib-1 not found" FALSE)
add_module(speech/dbus "dbus-glib-1 not found" FALSE)
add_module(vehicle/gpsd_dbus "dbus-glib-1 not found" FALSE)
add_module(speech/speech_dispatcher "speech_dispatcher lib not found" FALSE)
add_module(autoload/osso "Default" FALSE)
add_module(map/garmin "Garmin library not found" FALSE)
add_module(speech/cmdline "Default" TRUE)
add_feature(ENABLE_NLS "default" TRUE)

INCLUDE (CPack)
INCLUDE (CheckIncludeFiles)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckFunctionExists)
find_package(Glib)
find_package(Gmodule)
find_package(ZLIB)
find_package(Freetype)
find_package(SDL)
find_package(SDL_ttf)
find_package(SDL_image)
find_package(OpenGL)
find_package(GLUT)
find_package(GTK2 2.6 COMPONENTS gtk)
find_package(Gettext)
find_package(PNG)
find_package(DBusGLib)
find_package(OpenSSL)
find_package(Threads)
libfind_pkg_check_modules(FONTCONFIG fontconfig)
#Qt detection
SET(QT_USE_QTSVG TRUE)
SET(QT_USE_QTXML TRUE)
SET(QT_USE_QTDECLARATIVE TRUE)
find_package(Qt4 COMPONENTS QtCore QtGui QtXml QtDeclarative QtSvg OPTIONAL)
#pkg-config based detection
find_package(PkgConfig)
if(PKG_CONFIG_FOUND)
   pkg_check_modules(QUESOGLC quesoglc)
   pkg_check_modules(LIBGPS libgps)
   pkg_check_modules(LIBLOCATION liblocation)
   pkg_check_modules(LIBOSSO libosso)
   pkg_check_modules(LIBGPS19 libgps>=2.90)
   pkg_check_modules(LIBGARMIN libgarmin)
endif(PKG_CONFIG_FOUND)
#Simple checks
CHECK_INCLUDE_FILES(wordexp.h HAVE_WORDEXP)
CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(byteswap.h HAVE_BYTESWAP_H)
CHECK_LIBRARY_EXISTS(gypsy gypsy_control_get_default "" GYPSY_FOUND)
CHECK_INCLUDE_FILES(libspeechd.h HAVE_LIBSPEECHD)
CHECK_INCLUDE_FILES(sys/socket.h HAVE_SOCKET)
CHECK_FUNCTION_EXISTS(snprintf   HAVE_SNPRINTF)
CHECK_INCLUDE_FILES(locale.h HAVE_LC_MESSAGES)
CHECK_INCLUDE_FILES(libintl.h HAVE_LIBINTL)
CHECK_INCLUDE_FILES(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(getopt.h HAVE_GETOPT_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)

### Configure build
#Required libraries, supplied with navit
if (NOT HAVE_LIBINTL)
   add_plugin(intl_cmake "native libintl missing" TRUE)
   set(USE_LIBGNUINTL TRUE)
else()
   CHECK_LIBRARY_EXISTS(intl libintl_fprintf "" NEEDS_LIBINTL)
   if (NEEDS_LIBINTL)
      list(APPEND NAVIT_LIBS intl)
      set(INTL_LIBS intl)
   endif(NEEDS_LIBINTL)
endif(NOT HAVE_LIBINTL)


if (CMAKE_USE_PTHREADS_INIT)
   set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${CMAKE_THREAD_LIBS_INIT}")
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_THREAD_LIBS_INIT}")
   set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${CMAKE_THREAD_LIBS_INIT}")
endif(CMAKE_USE_PTHREADS_INIT)
if (Glib_FOUND)
   set(HAVE_GLIB 1)
   include_directories(${Glib_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${Glib_LIBRARIES})
else(Glib_FOUND)
   set_with_reason(support/glib "Glib not found" TRUE ${INTL_LIBS})
   # speech/cmdline doesn't build with our glib anymore
   set_with_reason(speech/cmdline "does not build with support/glib" FALSE)
endif(Glib_FOUND)
if (Gmodule_FOUND)
   set(HAVE_GMODULE 1)
   include_directories(${Gmodule_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${Gmodule_LIBRARIES})
endif(Gmodule_FOUND)
if(ZLIB_FOUND)
   set(HAVE_ZLIB 1)
   include_directories(${ZLIB_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${ZLIB_LIBRARIES})
else(ZLIB_FOUND)
   message(STATUS "using internal zlib")
   set_with_reason(support/zlib "native zlib missing" TRUE)
endif(ZLIB_FOUND)
if(OPENSSL_CRYPTO_LIBRARIES)
   set(HAVE_LIBCRYPTO 1)
   include_directories(${OPENSSL_INCLUDE_DIR})
   list(APPEND NAVIT_LIBS ${OPENSSL_CRYPTO_LIBRARIES})
endif()
if(PNG_FOUND)
   set(HAVE_PNG 1)
else(PNG_FOUND)
   message(STATUS "using internal libpng")
   set_with_reason(support/libpng "native libpng missing" TRUE)
endif(PNG_FOUND)
if (NOT HAVE_WORDEXP)
   message(STATUS "wordexp.h not found. use internal wordexp")
   set_with_reason(support/wordexp "native wordexp missing" TRUE)
endif()
if (NOT Glib_FOUND)
   set_with_reason(support/ezxml "Glib not found" TRUE)
endif()

if(FREETYPE_FOUND)
   pkg_check_modules(FRIBIDI fribidi)
   pkg_check_modules(FRIBIDI2 fribidi>=0.19.0)
   include_directories(${FREETYPE_INCLUDE_DIRS})
   set_with_reason(font/freetype "freetype found" TRUE "${FREETYPE_LIBRARY};${FONTCONFIG_LIBRARIES};${FRIBIDI_LIBRARIES}")
   add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/navit/fonts")
else(FREETYPE_FOUND)
   MESSAGE("No freetype library found, graphics modules may not be available")
   set_with_reason(graphics/android "FreeType library not found" FALSE)
   set_with_reason(graphics/gd "FreeType library not found" FALSE)
   set_with_reason(graphics/gtk_drawing_area "FreeType library not found" FALSE)
   set_with_reason(graphics/opengl "FreeType library not found" FALSE)
   set_with_reason(graphics/sdl "FreeType library not found" FALSE)
endif(FREETYPE_FOUND)

if(FONTCONFIG_FOUND)
   set(HAVE_FONTCONFIG 1)
endif(FONTCONFIG_FOUND)

if (QT_FOUND)
   if (QT_QTCORE_FOUND AND QT_QTGUI_FOUND AND FREETYPE_FOUND)
      include(${QT_USE_FILE})
      set_with_reason(graphics/qt_qpainter "Qt libraries found" TRUE ${QT_LIBRARIES})

      if (QT_QTDECLARATIVE_FOUND AND QT_QTXML_FOUND)
         set_with_reason(gui/qml "Qt Declarative found" TRUE ${QT_LIBRARIES})
      endif()

      if (QT_QTSVG_FOUND)
         set(HAVE_QT_SVG 1)
      elseif( USE_SVG AND graphics/qt_qpainter)
         message( WARNING "QT compiled without SVG support")
      endif()
   endif()
endif(QT_FOUND)

if(GTK2_FOUND)
   include_directories(${GTK2_INCLUDE_DIRS})
   set(HAVE_GTK2 1)
   set_with_reason(gui/gtk "GTK libs found" TRUE ${GTK2_LIBRARIES})
   if(FREETYPE_FOUND)
      set_with_reason(graphics/gtk_drawing_area "GTK libs found" TRUE ${GTK2_LIBRARIES})
   endif(FREETYPE_FOUND)
endif(GTK2_FOUND)

CHECK_LIBRARY_EXISTS(freeimage FreeImage_Load "" FREEIMAGE_FOUND)
if (QUESOGLC_FOUND AND FREETYPE_FOUND)
   if (OPENGL_FOUND AND OPENGL_GLU_FOUND AND OPENGL_INCLUDE_DIR AND FREEIMAGE_FOUND)
      message (STATUS "opengl found: ${OPENGL_gl_LIBRARY}")
      include_directories(${OPENGL_INCLUDE_DIR})
      set_with_reason(graphics/opengl "Found OpenGL and Quesoglc" TRUE ${OPENGL_gl_LIBRARY};${OPENGL_glu_LIBRARY};${GLUT_glut_LIBRARY};freeimage)
   else()
      message (STATUS "opengl not found")
   endif()
else()
   message (STATUS "no glc implementation found. Install Quesoglc for OpenGL support")
endif(QUESOGLC_FOUND AND FREETYPE_FOUND)

if(SDL_FOUND AND SDLIMAGE_FOUND AND FREETYPE_FOUND)
   set(SDL_IMAGE 1)
   if(SDLTTF_FOUND)
      set(SDL_TTF 1)
      list(APPEND SDL_LIBRARY ${SDLTTF_LIBRARY})
   endif(SDLTTF_FOUND)
   set_with_reason(graphics/sdl "SDL/SDL_image libs found" TRUE ${SDL_LIBRARY} ${SDLIMAGE_LIBRARY})
endif(SDL_FOUND AND SDLIMAGE_FOUND AND FREETYPE_FOUND)

if (LIBGPS_FOUND)
   set_with_reason(vehicle/gpsd "gpsd lib found" TRUE ${LIBGPS_LIBRARIES})
endif(LIBGPS_FOUND)

if (GYPSY_FOUND)
   set_with_reason(vehicle/gypsy "gypsy lib found" TRUE)
endif(GYPSY_FOUND)

if (LIBGARMIN_FOUND)
   set_with_reason(map/garmin "Garmin library found" TRUE ${LIBGARMIN_LIBRARIES})
endif(LIBGARMIN_FOUND)

if(DBusGLib_FOUND)
   include_directories(${DBusGLib_INCLUDE_DIRS})
   set_with_reason(binding/dbus "dbus-glib-1 found" TRUE ${DBusGLib_LIBRARIES})
   set_with_reason(speech/dbus "dbus-glib-1 found" TRUE ${DBusGLib_LIBRARIES})
   set_with_reason(vehicle/gpsd_dbus "dbus-glib-1 found" TRUE ${DBusGLib_LIBRARIES})
endif()

if (HAVE_LIBSPEECHD)
   set_with_reason(speech/speech_dispatcher "speech_dispatcher lib found" TRUE speechd)
endif(HAVE_LIBSPEECHD)

if (GETTEXT_FOUND)
   execute_process(COMMAND echo "<test/>" COMMAND xgettext -L glade - RESULT_VARIABLE GETTEXT_RET)
   if ("${GETTEXT_RET}" STREQUAL "0")
      set(XGETTEXT_GLADE TRUE)
   else()
      set(XGETTEXT_GLADE FALSE)
   endif()
endif(GETTEXT_FOUND)

if (LIBLOCATION_FOUND)
    set_with_reason(vehicle/maemo "Maemo location library found" TRUE ${LIBLOCATION_LIBRARIES})
endif(LIBLOCATION_FOUND)

if (LIBOSSO_FOUND)
    set_with_reason(autoload/osso "Maemo osso library found" TRUE ${LIBOSSO_LIBRARIES})
endif(LIBOSSO_FOUND)

#Independent modules
add_module(graphics/null "Default" TRUE)
add_module(osd/core "Default" TRUE)
add_module(vehicle/demo "Default" TRUE)
add_module(vehicle/file "Default" TRUE)
add_module(vehicle/null "Default" FALSE)
add_module(gui/internal "Default" TRUE)
add_module(map/binfile "Default" TRUE)
add_module(map/filter "Default" TRUE)
if(NOT MSVC)
add_module(map/mg "Default" TRUE)
endif(NOT MSVC)
add_module(map/shapefile "Default" TRUE)
add_module(map/textfile "Default" TRUE)
add_module(map/csv "Default" TRUE)

#Modules without test yet
add_module(plugin/pedestrian "Default" FALSE)
add_module(speech/android "Default" FALSE)
add_module(speech/espeak "Default" FALSE)
add_plugin(support/espeak "Default" FALSE)
add_module(vehicle/android "Default" FALSE)
add_module(vehicle/iphone "Default" FALSE)
add_module(vehicle/wince "Default" FALSE)

# other features
add_feature(USE_PLUGINS "default" TRUE)
add_feature(SHARED_LIBNAVIT "default" FALSE)
add_feature(USE_ROUTING "default" TRUE)
add_feature(USE_SVG "default" TRUE)
add_feature(SVG2PNG "default" TRUE)
add_feature(SAMPLE_MAP "default" TRUE)

IF(NOT svg2png_scaling)
   set(svg2png_scaling 0 32 48 64)
ENDIF()
IF(NOT svg2png_scaling_flag)
   set(svg2png_scaling_flag 32)
ENDIF()
IF(NOT svg2png_scaling_nav)
   set(svg2png_scaling_nav 64)
ENDIF()

add_feature(DBUS_USE_SYSTEM_BUS "default" FALSE)
add_feature(BUILD_MAPTOOL "default" TRUE)
add_feature(XSL_PROCESSING "default" TRUE)

find_program(SAXON NAMES saxon saxon8 saxon-xslt saxonb-xslt)
if(NOT SAXON)
   cfg_feature(XSL_PROCESSING "Saxon missing" FALSE)
endif()

if (NOT XSL_PROCESSING)
   message(WARNING "XSLT processing disabled. You have to configure navit.xml yourself, or enable XSLT processing.")
endif()

### Platform specific settings
if(NOT CACHE_SIZE)
   SET(CACHE_SIZE 1048576)
endif(NOT CACHE_SIZE)

if(WIN32 OR WINCE)
   SET(CMAKE_EXECUTABLE_SUFFIX ".exe")
   add_module(graphics/win32 "Windows detected" TRUE)

=== navit/CMakeLists.txt ===
include_directories( "${PROJECT_BINARY_DIR}")
include_directories( "${PROJECT_SOURCE_DIR}")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}")
include_directories( "${CMAKE_CURRENT_BINARY_DIR}")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/support")

# navit cre
set(NAVIT_SRC announcement.c atom.c attr.c cache.c callback.c command.c compass.c config_.c coord.c country.c data_window.c debug.c 
   event.c file.c graphics.c gui.c item.c layout.c log.c main.c map.c 
   linguistics.c mapset.c maptype.c menu.c messages.c bookmarks.c navit.c navigation.c osd.c param.c phrase.c plugin.c popup.c
   profile.c projection.c roadprofile.c route.c routech.c search.c speech.c start_real.c sunriset.c transform.c track.c 
   util.c vehicle.c vehicleprofile.c xmlconfig.c )

if(NOT USE_PLUGINS)
  list(APPEND NAVIT_SRC  ${CMAKE_CURRENT_BINARY_DIR}/builtin.c)
endif(NOT USE_PLUGINS)

if (${HAVE_GLIB})
   list(APPEND NAVIT_SRC event_glib.c)
endif()

if(ANDROID)
   list(APPEND NAVIT_SRC android.c)
   set(NAVIT_LIBNAME navit)
else()
   set(NAVIT_LIBNAME navit_core)
endif()


foreach ( PLUGIN_PATH ${ALL_PLUGINS})
   if (${PLUGIN_PATH})
      include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_PATH}")
      
      string(REPLACE "/" "_" MODULE_INC ${PLUGIN_PATH})
      list(APPEND NAVIT_SUPPORT_LIBS ${MODULE_INC})
   endif()
endforeach()

foreach ( MODULE_PATH ${ALL_MODULES})
   if ( ${MODULE_PATH} )
      include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/${MODULE_PATH}")
      
      string(REPLACE "/" "_" MODULE_INC ${MODULE_PATH})
      list(APPEND MODULES_PROTOTYPE "\nvoid\tmodule_${MODULE_INC}_init(void)")
      list(APPEND MODULES_FUNC "\nmodule_${MODULE_INC}_init()")
      
      if (NOT USE_PLUGINS)
         list(APPEND MODULES_NAME ${MODULE_INC})
      else()
         string(REGEX REPLACE "(^[^/]*)/.*" "\\1" ${MODULE_INC}_TYPE ${MODULE_PATH})
      endif()
   endif()
endforeach()

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/builtin.c.in ${CMAKE_CURRENT_BINARY_DIR}/builtin.c)

include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/fib-1.1")

# Add module paths
foreach (CURRENT_MODULE ${ALL_PLUGINS} ${ALL_MODULES})
   if (${CURRENT_MODULE})
      add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${CURRENT_MODULE}")
   endif()
endforeach()

add_subdirectory (fib-1.1)

if(NOT ANDROID)
   if(WIN32 OR WINCE AND NOT WIN_OMIT_RESOURCES)
      add_executable (navit start.c ${CMAKE_CURRENT_SOURCE_DIR}/gui/win32/resources/resource.rc)
   else()
      add_executable (navit start.c)
   endif()
   
   target_link_libraries (navit ${NAVIT_LIBNAME})
   set_target_properties(navit PROPERTIES COMPILE_DEFINITIONS "MODULE=${MODULE_NAME}")
endif()

if (SHARED_LIBNAVIT)
  add_library (${NAVIT_LIBNAME} SHARED ${NAVIT_SRC} )
else(SHARED_LIBNAVIT)
  add_library (${NAVIT_LIBNAME} STATIC ${NAVIT_SRC} )
endif(SHARED_LIBNAVIT)
if(NOT MSVC)
    SET(NAVIT_LIBS ${NAVIT_LIBS} m)
endif(NOT MSVC)
target_link_libraries(${NAVIT_LIBNAME}  ${MODULES_NAME} ${NAVIT_SUPPORT_LIBS} fib ${NAVIT_LIBS} ) 
set_target_properties(${NAVIT_LIBNAME} PROPERTIES COMPILE_DEFINITIONS "MODULE=navit;LIBDIR=\"${CMAKE_INSTALL_PREFIX}/${LIB_DIR}\";PREFIX=\"${CMAKE_INSTALL_PREFIX}\"")
if (DEFINED NAVIT_COMPILE_FLAGS)
   set_target_properties(${NAVIT_LIBNAME} PROPERTIES COMPILE_FLAGS "${NAVIT_COMPILE_FLAGS}")
endif()

# Subversion revision
ADD_CUSTOM_TARGET(
   version
   ${CMAKE_COMMAND} -D SRC=${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
                    -D DST=${CMAKE_CURRENT_BINARY_DIR}/version.h
                    -D NAME=SVN_VERSION
                    -P ${PROJECT_SOURCE_DIR}/cmake/version.cmake
)

macro(process_xslt SRC_XML DEST_XML XSL_OPTIONS)
   set(XSLT_COMMANDS COMMAND ${CMAKE_COMMAND} -E copy ${SRC_XML} ${DEST_XML}
                     COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/navit/navit.dtd ${CMAKE_CURRENT_BINARY_DIR}/navit.dtd)
   if(XSL_PROCESSING AND XSLTS)
       string(REPLACE "," ";" XSLTS "${XSLTS}")
       foreach(tmp ${XSLTS})
          set (XSLT_FILE "${PROJECT_SOURCE_DIR}/navit/xslt/${tmp}.xslt")
          list(APPEND XSLT_FILES "${XSLT_FILE}")
          list(APPEND XSLT_COMMANDS COMMAND ${CMAKE_COMMAND} -E echo  Applying ${tmp}.xslt)
          list(APPEND XSLT_COMMANDS COMMAND ${SAXON} ${DEST_XML} ${XSLT_FILE} ${XSL_OPTIONS} > ${DEST_XML}.tmp)
          list(APPEND XSLT_COMMANDS COMMAND ${CMAKE_COMMAND} -E rename ${DEST_XML}.tmp ${DEST_XML})
       endforeach()
   endif()
   ADD_CUSTOM_COMMAND(
      OUTPUT ${DEST_XML}
      DEPENDS ${SRC_XML} ${XSLT_FILES}
      ${XSLT_COMMANDS}
   )
endmacro()

if(ANDROID)
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navithdpi.xml OSD_SIZE=2)
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navitmdpi.xml OSD_SIZE=1.33)
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navitldpi.xml OSD_SIZE=1 ICON_MEDIUM=48)
   add_custom_target( navit_config_xml ALL DEPENDS navithdpi.xml navitmdpi.xml navitldpi.xml)
else()
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navit.xml "")
   add_custom_target( navit_config_xml ALL DEPENDS navit.xml)
endif()

ADD_DEPENDENCIES(${NAVIT_LIBNAME} version)
if (USE_LIBGNUINTL AND NOT HAVE_GLIB)
   ADD_DEPENDENCIES(support_glib intl_cmake)
endif()


add_subdirectory (maptool)
add_subdirectory (xpm)
add_subdirectory (maps)
add_subdirectory (android)

install(TARGETS navit
        DESTINATION ${BIN_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/navit.xml
        DESTINATION ${SHARE_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

=== po/CMakeLists.txt ===
FIND_PROGRAM(XGETTEXT xgettext)

set(POTFILES
      ${PROJECT_SOURCE_DIR}/navit/main.c
      ${PROJECT_SOURCE_DIR}/navit/navigation.c
      ${PROJECT_SOURCE_DIR}/navit/navit.c
      ${PROJECT_SOURCE_DIR}/navit/popup.c
      ${PROJECT_SOURCE_DIR}/navit/country.c
      ${PROJECT_SOURCE_DIR}/navit/gui/gtk/destination.c
      ${PROJECT_SOURCE_DIR}/navit/gui/gtk/gui_gtk_action.c
      ${PROJECT_SOURCE_DIR}/navit/gui/gtk/gui_gtk_statusbar.c
      ${PROJECT_SOURCE_DIR}/navit/gui/internal/gui_internal.c
      ${PROJECT_SOURCE_DIR}/navit/osd/core/osd_core.c
      ${CMAKE_CURRENT_BINARY_DIR}/navit_shipped.c
)
if (XGETTEXT_GLADE)
      list(APPEND POTFILES ${CMAKE_CURRENT_BINARY_DIR}/navit_shipped.glade)
endif()

ADD_CUSTOM_COMMAND(
   OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/navit_shipped.c
   DEPENDS ${PROJECT_SOURCE_DIR}/navit/navit_shipped.xml
   COMMAND ${CMAKE_COMMAND} -D SRC=${PROJECT_SOURCE_DIR}/navit/navit_shipped.xml -D DST=${CMAKE_CURRENT_BINARY_DIR}/navit_shipped.c
                     -P ${PROJECT_SOURCE_DIR}/cmake/navit_xml_parser.cmake
)

ADD_CUSTOM_COMMAND(
   OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/navit_shipped.glade
   DEPENDS ${PROJECT_SOURCE_DIR}/navit/navit_shipped.xml
   COMMAND ${CMAKE_COMMAND} -D SRC=${PROJECT_SOURCE_DIR}/navit/navit_shipped.xml -D DST=${CMAKE_CURRENT_BINARY_DIR}/navit_shipped.glade
                     -P ${PROJECT_SOURCE_DIR}/cmake/navit_xml_parser_glade.cmake
)

ADD_CUSTOM_COMMAND(
   OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/navit.po
   DEPENDS ${POTFILES}
   COMMAND ${XGETTEXT} --no-location --default-domain=navit_tmp --add-comments --keyword=_ --keyword=_n ${POTFILES}
   COMMAND ${CMAKE_COMMAND} -DMATCHES="CHARSET" -DREPLACE="utf-8"
                            -DSRC=${CMAKE_CURRENT_BINARY_DIR}/navit_tmp.po -DDST=${CMAKE_CURRENT_BINARY_DIR}/navit.po
                            -P ${PROJECT_SOURCE_DIR}/cmake/replace.cmake 
)

FILE(GLOB POIN_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.po.in")

string(REPLACE ".po.in" "" LANGUAGES "${POIN_FILES}")

foreach (LANG ${LANGUAGES})
   ADD_CUSTOM_COMMAND(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/navit.po
      COMMAND ${CMAKE_COMMAND} -D SRC=${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po.in -D DST=${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po.tmp -DPACKAGE_STRING=${PACKAGE_STRING} -P ${PROJECT_SOURCE_DIR}/cmake/navit_po_version.cmake
      COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --no-fuzzy-matching --verbose -o "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po" "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po.tmp" ${CMAKE_CURRENT_BINARY_DIR}/navit.po
      COMMAND ${CMAKE_COMMAND} -E remove "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po.tmp"
   )
endforeach(LANG ${LANGUAGES})

foreach (LANG ${LANGUAGES})
   ADD_CUSTOM_COMMAND(
      OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.mo
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check --verbose --statistics --output-file="${CMAKE_CURRENT_BINARY_DIR}/${LANG}.mo" "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po" 
      COMMAND ${CMAKE_COMMAND} -E make_directory "${PROJECT_BINARY_DIR}/locale/${LANG}/LC_MESSAGES" 
      COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.mo" "${PROJECT_BINARY_DIR}/locale/${LANG}/LC_MESSAGES/navit.mo"
   )
   SET(MOFILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.mo ${MOFILES})
endforeach(LANG ${LANGUAGES})

add_custom_target(locales ALL DEPENDS  ${MOFILES})

=== navit/fonts/CMakeLists.txt ===
add_custom_target( fonts ALL DEPENDS ${NAVIT_FONTS}
   COMMAND ${CMAKE_COMMAND}
                  -D GLOB_EXP="${CMAKE_CURRENT_SOURCE_DIR}/*.ttf" #${NAVIT_FONTS}" 
                  -D DST=${CMAKE_CURRENT_BINARY_DIR}
                  -P ${PROJECT_SOURCE_DIR}/cmake/copy_files.cmake
)

install(
   FILES ${NAVIT_FONTS}
   DESTINATION ${SHARE_DIR}/fonts
   PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== navit/maptool/CMakeLists.txt ===

if(BUILD_MAPTOOL)
   add_definitions( -DMODULE=maptool ${NAVIT_COMPILE_FLAGS})
   include_directories(${CMAKE_CURRENT_SOURCE_DIR})
   SET(MAPTOOL_SOURCE boundaries.c buffer.c ch.c coastline.c geom.c itembin.c itembin_buffer.c misc.c osm.c sourcesink.c tempfile.c tile.c zip.c osm_xml.c)
   if(NOT MSVC)
	SET(MAPTOOL_SOURCE ${MAPTOOL_SOURCE} osm_protobuf.c osm_protobufdb.c generated-code/fileformat.pb-c.c generated-code/osmformat.pb-c.c google/protobuf-c/protobuf-c.c)
   endif(NOT MSVC)
   add_library (maptool_core ${MAPTOOL_SOURCE})
   add_executable (maptool maptool.c)
   if(NOT MSVC)
        SET(NAVIT_LIBS ${NAVIT_LIBS} m)
   endif(NOT MSVC)
   target_link_libraries(maptool maptool_core ${NAVIT_LIBNAME} ${NAVIT_LIBS})

   install(TARGETS maptool
           DESTINATION ${BIN_DIR}
           PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

endif()

=== navit/xpm/CMakeLists.txt ===
macro(convert_to_png IMAGE_INPUT IMAGE_OUTPUT SCALE)
   get_filename_component(FILE_EXT ${IMAGE_INPUT} EXT)
   string(TOUPPER ${FILE_EXT} FILE_TYPE)
   string(REGEX REPLACE "^\\." "" FILE_TYPE ${FILE_TYPE})
   if(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "rsvg-convert")
      if (${SCALE} GREATER 0)
         set(SCALE_ARGS --width=${SCALE} --height=${SCALE})
      else()
         set(SCALE_ARGS)
      endif()
      set(COMMAND_ARGS ${SCALE_ARGS} --output ${IMAGE_OUTPUT} ${IMAGE_INPUT})
   elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "convert")
      if (${SCALE} GREATER 0)
         set(SCALE_ARGS -resize ${SCALE}x${SCALE})
      else()
         set(SCALE_ARGS)
      endif()
      set(COMMAND_ARGS -background none ${IMAGE_INPUT} ${SCALE_ARGS} ${IMAGE_OUTPUT})
   elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "ksvgtopng")
      set (NEW_SCALE ${SCALE})
      if (${SCALE} EQUAL 0)
         file(STRINGS  ${IMAGE_INPUT} NEW_SCALE_LINE REGEX "width=\"[0-9pxt.]*\"")
         string(REGEX REPLACE ".*width=\"([0-9]*).*\"" "\\1" NEW_SCALE ${NEW_SCALE_LINE})
       endif()
      set(COMMAND_ARGS ${NEW_SCALE} ${NEW_SCALE}  ${IMAGE_INPUT} --output ${IMAGE_OUTPUT})
   else()
      message(FATAL_ERROR "no svg2png converter defined here.")
   endif()

   add_custom_command (
      OUTPUT ${IMAGE_OUTPUT}
      DEPENDS ${IMAGE_INPUT}
      COMMAND ${IMAGE_CONVERTER_${FILE_TYPE}} ${COMMAND_ARGS}
   )
endmacro()

macro(add_scale_targets IMAGE_SRC IMAGE_NAME)
   string(REPLACE "," ";" SCALES "${ARGN}")
   foreach (CURRENT_SCALE ${SCALES})
      if (${CURRENT_SCALE} EQUAL 0)
         set (IMAGE_DST ${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_NAME}.png)
      else()
         set (IMAGE_DST ${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_NAME}_${CURRENT_SCALE}_${CURRENT_SCALE}.png)
      endif()

      convert_to_png(
         ${CMAKE_CURRENT_SOURCE_DIR}/${IMAGE_SRC} 
         ${IMAGE_DST}
         ${CURRENT_SCALE}
      )
      list(APPEND IMAGE_TARGETS ${IMAGE_DST})
   endforeach()
endmacro()

install(FILES  desktop_icons/navit.desktop DESTINATION share/applications)
install(FILES  desktop_icons/22x22/navit.png DESTINATION share/icons/hicolor/22x22/apps)
install(FILES  desktop_icons/128x128/navit.png DESTINATION share/icons/hicolor/128x128/apps)
#install(FILES  bench.xpm DESTINATION )

if (USE_SVG OR SVG2PNG)
   FILE(GLOB SVG_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.svg" "*.svgz")
   
   if(USE_SVG)
      list(APPEND IMAGE_TARGETS ${SVG_FILES})
   endif(USE_SVG)
   if(SVG2PNG)
      list(APPEND FILES_TO_PNG ${SVG_FILES})
   endif(SVG2PNG)
endif()

FILE(GLOB XPM_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.xpm")
if(XPM2PNG)
   list(APPEND FILES_TO_PNG ${XPM_FILES})
else()
   list(APPEND IMAGE_TARGETS ${XPM_FILES})
endif(XPM2PNG)

foreach (IMAGE_SRC ${FILES_TO_PNG})
   string(REGEX REPLACE ".[a-z]*\$" "" IMAGE ${IMAGE_SRC})
   
   if ( IMAGE_SRC MATCHES ".*svgz*" )
      if ( DEFINED svg2png_scaling_nav AND ${IMAGE} MATCHES "^nav_")
         add_scale_targets(${IMAGE_SRC} ${IMAGE} ${svg2png_scaling_nav})
      elseif( DEFINED svg2png_scaling_flag AND ${IMAGE} MATCHES "^country_")
         add_scale_targets(${IMAGE_SRC} ${IMAGE} ${svg2png_scaling_flag})
      elseif( DEFINED svg2png_scaling)
         add_scale_targets(${IMAGE_SRC} ${IMAGE} ${svg2png_scaling})
      endif()
   else()
      add_scale_targets(${IMAGE_SRC} ${IMAGE} 0)
   endif()
      
endforeach()

add_custom_target(images ALL DEPENDS ${IMAGE_TARGETS})

install(
   FILES ${IMAGE_TARGETS}
   DESTINATION ${IMAGE_DIR}
   PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

=== navit/binding/dbus/CMakeLists.txt ===
module_add_library(binding_dbus binding_dbus.c)

=== navit/font/freetype/CMakeLists.txt ===
module_add_library(font_freetype font_freetype.c)

if (FRIBIDI_FOUND)
   set_property(
      TARGET font_freetype
      APPEND PROPERTY COMPILE_DEFINITIONS USE_FRIBIDI=1
   )
   set_property(
      TARGET font_freetype
      APPEND PROPERTY COMPILE_FLAGS "-I${FRIBIDI_INCLUDE_DIRS}"
   )
   if (NOT FRIBIDI2_FOUND)
      set_property(
         TARGET font_freetype
         APPEND PROPERTY COMPILE_DEFINITIONS FRIBIDIOLD=1
      )
   endif (NOT FRIBIDI2_FOUND)
endif (FRIBIDI_FOUND)

=== navit/graphics/qt_qpainter/CMakeLists.txt ===
module_add_library(graphics_qt_qpainter ${CMAKE_CURRENT_BINARY_DIR}/graphics_qt_qpainter.moc graphics_qt_qpainter.cpp)
QT4_GENERATE_MOC(graphics_qt_qpainter.cpp ${CMAKE_CURRENT_BINARY_DIR}/graphics_qt_qpainter.moc)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

=== navit/map/garmin/CMakeLists.txt ===
add_executable(gentypes gentypes.c)

# add the command to generate the source code
add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/g2nbuiltin.h
  COMMAND gentypes ${CMAKE_CURRENT_SOURCE_DIR}/garmintypes.txt ${CMAKE_CURRENT_BINARY_DIR}/g2nbuiltin.h
  DEPENDS gentypes
  )

module_add_library(map_garmin garmin.c gar2navit.c g2nbuiltin.h)
set_property(
   TARGET map_garmin
   APPEND PROPERTY COMPILE_FLAGS "-I${CMAKE_CURRENT_BINARY_DIR}"
)

=== navit/map/shapefile/CMakeLists.txt ===
set (map_shapefile_SRC shapefile.c)
if (NOT HAVE_SYSTEM_SHAPEFILELIB)
	set (map_shapefile_SRC ${map_shapefile_SRC} dbfopen.c shpopen.c shptree.c)
endif()

module_add_library(map_shapefile ${map_shapefile_SRC})

=== navit/vehicle/gypsy/CMakeLists.txt ===
module_add_library(vehicle_gypsy vehicle_gypsy.c)

=== debian/changelog ===
navit (0.5.0~svn4494+dfsg.1-1ubuntu2) oneiric; urgency=low

  * Apply changes from yet unreleased Debian version (diff from 99095a07 to
    d0df2217 in git://anonscm.debian.org/collab-maint/navit.git):

  [ Gilles Filippini ]
  * Various valgrind patches
  * New patch: qt-cmake.patch: fixes cmake Qt4 detection
  * debian/rules:
    + Don't overwrite flags set by dpkg-builflags
    + Minor cleanups and typos (LP: #832818)
  * debian/control:
    + Drop Build-Depends on libhildon-1-dev (not needed)
    + navit-graphics-gtk-drawing-area: Depends librsvg2-common to have
      the gdk-pixbuf for svg images

 -- Ilya Barygin <barygin@gmail.com>  Fri, 02 Sep 2011 22:10:09 +0400

navit (0.5.0~svn4494+dfsg.1-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS:
    - cmake-gtk-fixes.patch: improve search for headers and libraries
    - add missing build dependency: libgtkgl2.0-dev

 -- Ilya Barygin <barygin@gmail.com>  Sat, 02 Jul 2011 14:00:19 +0400

navit (0.5.0~svn4494+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Minor fixes

  * New patch lc_all.patch: when LC_ALL is set, unset it and set LANG
    instead to prevent incorrect GPS position computations
    (closes: #625949)
  * New patch gui-gtk-quit.patch: preperly handle the quit command with
    gui/gtk
  * Reworked patch fix-cmake.patch: mostly applied upstream but a few
    glitches remain to fix (closes: #626784)

 -- Gilles Filippini <pini@debian.org>  Sun, 22 May 2011 10:49:03 +0200

navit (0.5.0~svn4423+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Improved cmake support
    + New CSV map plugin to record POI and speed camera locations
    + Support for speed camera from OSM data and CSV map files
    + Support downloding maps from withing Navit (binfile format)
    + Configurable key bindings for OSDs
    + OSD odometer and stopwatch
    + Protobuf database support for maptool
    + Imperial units support
    + Many other improvements and bug fixes

  * debian/copyright:
    + Update to DEP5 rev173
    + Add new license paragraphs for:
      - navit/browserplugin.c (MPL-1.1 or GPL-2+ or LGPL-2.1+)
      - navit/maptool/google/protobuf-c/protobuf-c* (Apache-2.0)
  * debian/control:
    + Set Architecture to any for the navit binary package: navit is supposed
      to support bigendian since 06/2009 (closes: #623238)
    + Fix navit and navit-data descriptions to state that the
      package doesn't provide any map (closes: #603378)
    + Bump Standards-Version to 3.9.2 (no change needed)
    + Drop Build-Depends on autotools in favor of cmake
  * debian/rules:
    + Now use the cmake build system
  * New patches:
    + fix-cmake.patch: various fixes and workarounds to build successfully
      with cmake
    + icons-dir: installs icons into /usr/share/navit/icons instead of
      /usr/share/navit/xpm
  * Remove patches not needed anymore with cmake:
    + remove-espeak
    + remove-ezxml
    + remove-glib
    + remove-libpng
    + remove-mini-libc
    + remove-support
    + remove-ttf-liberation
    + remove-win32
    + remove-wordexp
    + remove-zlib
  * debian/rules, debian/control, debian/navit-gui-qml.install:
    ground work to enable the QML plugin (not enabled in this build)

  * Migrate to source format 3.0 (quilt)

 -- Gilles Filippini <pini@debian.org>  Tue, 03 May 2011 00:14:36 +0200

navit (0.2.0+dfsg.1-1) unstable; urgency=low

  * New upstream Release (closes: #610531):
    + Support for loading itineraries from destination.txt
    + Support for writing destinations with multiple coordinates
    + Initial support for waypoint routing
    + Functional opengl and sdl graphic plugins (disabled for now)
    + Initial support for the CMake build system (not used in this build)
    + Better POI search
    + New truck profile
    + New Layout Car-simple
    + Cyrillic support
    + New translations: Australian English, Javanese, Basque, Tamil and Urdu
    + Many bug fixes

  * debian/rules: removed DEB_BUILD_OPTIONS handling as it is now handled
    through dpkg-buildflags
  * debian/control:
    + dropped osm2navit dummy transitional package for squeeze+1

 -- Gilles Filippini <pini@debian.org>  Fri, 28 Jan 2011 23:29:11 +0100

navit (0.2.0~svn3501+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Support for autoloaded plugins
    + Many memory leaks fixed
  * Refresh patches

  * New patch path_max to try fixing the FTBFS on hurd-i386. 

  * debian/control: bumped Standards-Version to 3.9.1 (no change needed)

 -- Gilles Filippini <pini@debian.org>  Tue, 27 Jul 2010 22:36:40 +0200

navit (0.2.0~svn3255+dfsg.1-3) unstable; urgency=low

  * Fix yet another FTBFS occuring on some archs while moving navit.xml
    to the target /etc/navit dir.

 -- Gilles Filippini <pini@debian.org>  Tue, 18 May 2010 18:00:10 +0200

navit (0.2.0~svn3255+dfsg.1-2) unstable; urgency=low

  * Fix FTBFS when building only arch-dependent binary packages.

 -- Gilles Filippini <pini@debian.org>  Mon, 17 May 2010 23:25:27 +0200

navit (0.2.0~svn3255+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + New QML GUI (work in progress; currently disabled)
    + Enhanced bookmark management
    + Many bug fixes, including:
      - force JSON gpsd responses (closes: #573855)
  * Removed patches:
    + fixed upstream:
      - distclean_graphics_qt_qpainter
      - pedestrian-without-android
  * Refreshed patches:
    + remove-win32 
  * New patch:
    + search_trick: when searching for a town, a '?' at the end of the
      search string means "search exact matches only"

  * debian/source/format: 1.0
  * debian/rules: switched to the dh sequencer
  * debian/control:
    + Build-Depends: autopoint (Closes: #572476)
    + Bumped the versioned Build-Depends on debhelper to (>= 7.0.50~)
      as requested by using the dh sequencer
    + Versioned Build-Depends on quilt (see #548094)

 -- Gilles Filippini <pini@debian.org>  Sun, 16 May 2010 23:44:28 +0200



=== debian/control ===
Source: navit
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libdevil-dev, libgtk2.0-dev,
 libglc-dev (>= 0.7.1), libspeechd-dev, libgps-dev, freeglut3-dev,
 libimlib2-dev, libdbus-1-dev, libxml2-dev, libfribidi-dev, libpq-dev,
 libfreetype6-dev, libfontconfig1-dev, ttf-liberation,
 libsdl-image1.2-dev, libdbus-glib-1-dev, libqt4-dev, librsvg2-bin,
 libgarmin-dev, libgtkgl2.0-dev, imagemagick, cmake
Standards-Version: 3.9.2
Homepage: http://navit.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/navit.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/navit.git

Package: navit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, navit-data (= ${source:Version}),
 navit-gui-internal (= ${binary:Version}) |
 navit-gui-gtk (= ${binary:Version})
Recommends: gpsd
Suggests: maptool
Description: Car navigation system with routing engine
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 The Debian packaging for navit doesn't provide any map. To see, where you can
 get maps from, see <http://wiki.navit-project.org/index.php/Main_Page#Maps>.

Package: navit-gui-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 navit-graphics-gtk-drawing-area (= ${binary:Version})
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the GTK+ GUI plugin.

Package: navit-gui-internal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 navit-graphics-gtk-drawing-area (= ${binary:Version}) |
 navit-graphics-qt-qpainter (= ${binary:Version})
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - internal GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the internal GUI plugin.

#Package: navit-gui-qml
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends},
#Recommends: navit (= ${binary:Version})
#Description: Car navigation system with routing engine - QML GUI
# Navit is a car navigation system with routing engine.
# .
# It has a modular design and supports several GUIs and graphic backends.
# .
# This package contains the QML GUI plugin.

Package: navit-graphics-gtk-drawing-area
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ graphic plugin
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the graphic gtk-drawing-area plugin to use with GTK+
 aware GUIs plugins.

Package: navit-graphics-qt-qpainter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - Qt graphic plugin
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the graphic qt-qpainter plugin to use with Qt aware GUIs
 plugins.

Package: navit-data
Architecture: all
Depends: ${misc:Depends}
Recommends: navit
Description: Car navigation system with routing engine - data files
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the architecture independent files - mainly translation
 files and images - for navit.

Package: maptool
Architecture: any
Provides: osm2navit
Replaces: osm2navit
Conflicts: osm2navit
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: navit
Description: Converts OpenStreetMap maps to Navit
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 This package contains maptool, a tool to convert OpenStreetMap maps to the
 Navit format.

=== debian/rules ===
#!/usr/bin/make -f

# This is to let dpkg-buildflags do its job with CFLAGS
CMAKEFLAGS = -DCMAKE_BUILD_TYPE=debian -DCMAKE_C_FLAGS_DEBIAN=""

# Fonts
CMAKEFLAGS += -Dfont/freetype=TRUE

# svg2png is required to display country flags
CMAKEFLAGS += -Dsvg2png_scaling=0,8,16,32,48,96 -Dsvg2png_scaling_flag=8,16,32,48,96 -Dsvg2png_scaling_nav=8,16,32,48,96

# Force svg2png conversion using rsvg-convert since it is the most reliable
# ATM
CMAKEFLAGS += -DIMAGE_CONVERTER_SVGZ=rsvg-convert

# Enable GUIs we want
CMAKEFLAGS += -Dgui/gtk=TRUE -Dgui/internal=TRUE -Dgui/qml=FALSE

# Bindings
CMAKEFLAGS += -Dbinding/dbus=TRUE
# Pyrhon binding not available through cmake
#CMAKEFLAGS += -Dbinding/python=FALSE

# Wanted graphic backends
CMAKEFLAGS += -Dgraphics/gtk_drawing_area=TRUE -Dgraphics/qt_qpainter=TRUE -Dgraphics/null=TRUE

# Unwanted graphic backends (yet)
# opengl and sdl backends aren't mature enough
# gd backend segfaults
CMAKEFLAGS += -Dgraphics/android=FALSE -Dgraphics/gd=FALSE -Dgraphics/sdl=FALSE -Dgraphics/opengl=FALSE

# don't build the samplemap - we don't want to download
# stuff while building...
CMAKEFLAGS += -DSAMPLE_MAP=FALSE

# Maps
CMAKEFLAGS += -Dmap/garmin=TRUE -Dmap/mg=TRUE -Dmap/binfile=TRUE -Dmap/csv=TRUE -Dmap/shapefile=TRUE

# disable gypsy support as there's no gypsy in Debian
CMAKEFLAGS += -Dvehicle/gypsy=FALSE

# Enable plugin pedestrian
CMAKEFLAGS += -Dplugin/pedestrian=TRUE

# Avoid floating point calculation for armel
ifeq ($(DEB_HOST_ARCH), armel)
  CMAKEFLAGS += -DAVOID_FLOAT=TRUE
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEFLAGS)

override_dh_install:
	# Generate icon for Debian menu
	mkdir -p $(CURDIR)/debian/tmp/usr/share/pixmaps
	convert $(CURDIR)/navit/xpm/desktop_icons/128x128/navit.png -resize 32x32 $(CURDIR)/debian/tmp/usr/share/pixmaps/navit.xpm

	# Default navit configuration file moved into /etc
	mkdir -p $(CURDIR)/debian/tmp/etc/navit
	mv $(CURDIR)/debian/tmp/usr/share/navit/navit.xml \
	   $(CURDIR)/debian/tmp/etc/navit/

	dh_install
